aboutsummaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2013-11-10 00:24:56 +0000
committerGerald Combs <gerald@wireshark.org>2013-11-10 00:24:56 +0000
commite8106d01c9b9f58df291391cee45589c7aff9154 (patch)
tree51b37f8afba855e6a48a80a3777d69a8b8326384 /packaging
parenta4c4ca8a75dc806251380954b1d8fa1b5b3df02d (diff)
Try switching back to codesign.
svn path=/trunk/; revision=53208
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/macosx/osx-dmg.sh.in9
1 files changed, 5 insertions, 4 deletions
diff --git a/packaging/macosx/osx-dmg.sh.in b/packaging/macosx/osx-dmg.sh.in
index 03cd5519ef..7b0c4c02bf 100755
--- a/packaging/macosx/osx-dmg.sh.in
+++ b/packaging/macosx/osx-dmg.sh.in
@@ -157,12 +157,13 @@ packagemaker --doc "Wireshark_package.pmdoc" \
--verbose || exit 1
if [ -n "$CODE_SIGN_IDENTITY" ] ; then
- pkg_file_unsigned="$pkg_title UNSIGNED.pkg"
+ #pkg_file_unsigned="$pkg_title UNSIGNED.pkg"
echo -e "Signing $pkg_file"
- mv "$pkg_file" "$pkg_file_unsigned" || exit 1
- productsign --sign "$CODE_SIGN_IDENTITY" "$pkg_file_unsigned" "$pkg_file" || exit 1
- spctl --assess --type install "$pkg_file" || exit 1
+ #mv "$pkg_file" "$pkg_file_unsigned" || exit 1
+ #productsign --sign "$CODE_SIGN_IDENTITY" "$pkg_file_unsigned" "$pkg_file" || exit 1
+ codesign --sign --verify "$CODE_SIGN_IDENTITY" "$pkg_file" || exit 1
+ spctl --assess --type install "$pkg_file" #|| exit 1
shasum "$pkg_file"
rm -rf "$pkg_dir_unsigned" "$pkg_file_unsigned" "$pkg_file_flattened"
else